10de:0407 [Toshiba Qosmio G40-114] Resolution is changed at startup

Bug #886773 reported by Laurent Lyaudet on 2011-11-06
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xorg-server (Ubuntu)
Low
Unassigned

Bug Description

I encountered the following bug for the second time in ~10-15 days. When booting ubuntu, screen resolution is changed to something like 800x600, I reboot immediately and the resolution is back to its normal size. Resolution was not changed during my session yesterday (neither "by hand", nor by an application).

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: xorg 1:7.6+7ubuntu7
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
Uname: Linux 3.0.0-12-generic i686
.tmp.unity.support.test.0:

ApportVersion: 1.23-0ubuntu3
Architecture: i386
CheckboxSubmission: e9b05430043ab78d4dfad1adca061c75
CheckboxSystem: 8747e013a552447cbd294fa2163135be
CompizPlugins: [core,bailer,detection,composite,opengl,decor,move,regex,place,snap,grid,session,vpswitch,compiztoolbox,mousepoll,resize,animation,gnomecompat,imgpng,expo,wall,workarounds,ezoom,staticswitcher,fade,scale,unityshell]
CompositorRunning: None
CurrentDmesg: [ 315.809163] CE: hpet increased min_delta_ns to 20113 nsec
Date: Sun Nov 6 10:33:04 2011
DistUpgraded: Log time: 2011-10-19 14:27:10.689888
DistroCodename: oneiric
DistroVariant: ubuntu
DkmsStatus: alsa-hda, 0.201110190030~oneiric1, 3.0.0-12-generic, i686: installed
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 nVidia Corporation G84 [GeForce 8600M GT] [10de:0407] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Toshiba America Info Systems Device [1179:0001]
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100427.1)
MachineType: TOSHIBA Qosmio G40
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcEnviron:
 PATH=(custom, user)
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-12-generic root=UUID=4482c8ac-6d58-482b-aab5-734d05591aa9 ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
UpgradeStatus: Upgraded to oneiric on 2011-10-19 (17 days ago)
dmi.bios.date: 02/29/2008
dmi.bios.vendor: TOSHIBA
dmi.bios.version: Version 2.20
dmi.board.name: Portable PC
dmi.board.vendor: TOSHIBA
dmi.board.version: Version A0
dmi.chassis.asset.tag: 00000000
dmi.chassis.type: 10
dmi.chassis.version: IBA
dmi.modalias: dmi:bvnTOSHIBA:bvrVersion2.20:bd02/29/2008:svnTOSHIBA:pnQosmioG40:pvrPQG40E-01G019FR:rvnTOSHIBA:rnPortablePC:rvrVersionA0:cvnTS:ct10:cvrIBA:
dmi.product.name: Qosmio G40
dmi.product.version: PQG40E-01G019FR
dmi.sys.vendor: TOSHIBA
version.compiz: compiz 1:0.9.6+bzr20110929-0ubuntu5
version.libdrm2: libdrm2 2.4.26-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 7.11-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.11-0ubuntu3
version.xserver-xorg: xserver-xorg 1:7.6+7ubuntu7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.0-1ubuntu13
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20110811.g93fc084-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.15.901-1ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110411+8378443-1
---
.tmp.unity.support.test.0:

ApportVersion: 2.13.1-0ubuntu1
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
CurrentDmesg:
 [ 803.922305] EXT4-fs (sdb5): mounting ext3 file system using the ext4 subsystem
 [ 819.760041] EXT4-fs (sdb5): recovery complete
 [ 819.786687] EXT4-fs (sdb5): mounted filesystem with ordered data mode. Opts: (null)
DistUpgraded: Fresh install
DistroCodename: trusty
DistroRelease: Ubuntu 14.04
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes
GraphicsCard:
 NVIDIA Corporation G84M [GeForce 8600M GT] [10de:0407] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Toshiba America Info Systems Device [1179:0001]
InstallationDate: Installed on 2014-01-18 (0 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64 (20140111)
MachineType: TOSHIBA Qosmio G40
Package: xorg-server (not installed)
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-1-generic root=UUID=1272fb21-2bc2-487e-9489-3694635a469c ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.13.0-1.16-generic 3.13.0-rc7
Tags: trusty ubuntu compiz-0.9
Uname: Linux 3.13.0-1-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 02/29/2008
dmi.bios.vendor: TOSHIBA
dmi.bios.version: Version 2.20
dmi.board.name: Portable PC
dmi.board.vendor: TOSHIBA
dmi.board.version: Version A0
dmi.chassis.asset.tag: 00000000
dmi.chassis.type: 10
dmi.chassis.version: IBA
dmi.modalias: dmi:bvnTOSHIBA:bvrVersion2.20:bd02/29/2008:svnTOSHIBA:pnQosmioG40:pvrPQG40E-01G019FR:rvnTOSHIBA:rnPortablePC:rvrVersionA0:cvnTS:ct10:cvrIBA:
dmi.product.name: Qosmio G40
dmi.product.version: PQG40E-01G019FR
dmi.sys.vendor: TOSHIBA
version.compiz: compiz 1:0.9.10+13.10.20131011-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.50-1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.0.1-1ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.0.1-1ubuntu2
version.xserver-xorg-core: xserver-xorg-core 2:1.14.5-1ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.2.0-0ubuntu10
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.907-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu1
xserver.bootTime: Sat Jan 18 11:55:19 2014
xserver.configfile: default
xserver.errors:
 Failed to load module "nvidia" (module does not exist, 0)
 Failed to load module "nvidia" (module does not exist, 0)
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs: Output HDMI-1 LVDS-1 VGA-1
xserver.version: 2:1.14.5-1ubuntu2
xserver.video_driver: nouveau

bugbot (bugbot) on 2011-11-07
affects: xorg (Ubuntu) → xorg-server (Ubuntu)

Laurent Lyaudet, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p xorg-server REPLACE-WITH-BUG-NUMBER

Please note, given that the information from the prior release is already available, doing this on a release prior to the development one would not be helpful.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Changed in xorg-server (Ubuntu):
importance: Undecided → Low
status: New → Incomplete

apport information

tags: added: apport-collected compiz-0.9 trusty
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Hi,

I reproduced the bug in two different cases :

- launching the installation DVD of Trusty Tahr : after only a few seconds,
I know the resolution isn't correctly recognized since the logo with "a
keyboard = a human in a circle" is oversized.
This is one of the first screen with only this logo in lower part of the
screen. Resolution is incorrect for next screens also.
I encountered this bug only once.
I don't know if there may be a link (more general bug with hardware
recognition ?)
but even if sometimes the installation DVD correctly recognizes my
keyboard as french,
most of the time it recognizes it as an english keyboard (I can manually
add and select french keyboard as an input source).

- lauching Trusty Tahr installed on my computer. Sometimes resolution is
correct sometimes it isn't.

I collected the information with apport twice :
- The first time there was no bug on startup.
- The second time there was a bug on startup.

I hope the difference between the two reports collected with apport on
Trusty Tahr will help correcting this bug.

I join a file with the result in the terminal of the apport command
(there was a failed assertion the first time).

Let me know if I can help further.

Best regards,
     Laurent Lyaudet

On 06/01/2014 18:48, Christopher M. Penalver wrote:
> Laurent Lyaudet, this bug was reported a while ago and there hasn't been
> any activity in it recently. We were wondering if this is still an
> issue? If so, could you please test for this with the latest development
> release of Ubuntu? ISO images are available from
> http://cdimage.ubuntu.com/daily-live/current/ .
>
> If it remains an issue, could you please run the following command in
> the development release from a Terminal
> (Applications->Accessories->Terminal), as it will automatically gather
> and attach updated debug information to this report:
>
> apport-collect -p xorg-server REPLACE-WITH-BUG-NUMBER
>
> Please note, given that the information from the prior release is
> already available, doing this on a release prior to the development one
> would not be helpful.
>
> Thank you for your understanding.
>
> Helpful bug reporting tips:
> https://wiki.ubuntu.com/ReportingBugs
>
> ** Changed in: xorg-server (Ubuntu)
> Importance: Undecided => Low
>
> ** Changed in: xorg-server (Ubuntu)
> Status: New => Incomplete
>

Changed in xorg-server (Ubuntu):
status: Incomplete → New
description: updated
summary: - Resolution is changed at startup
+ 10de:0407 [Toshiba Qosmio G40-114] Resolution is changed at startup
tags: added: latest-bios-2.20

Laurent Lyaudet, did this problem not occur in a release prior to Oneiric?

Changed in xorg-server (Ubuntu):
status: New → Incomplete

Hi,

I didn't encountered this bug with a release prior to Oneiric.
However I don't remember using Natty Narwhal.
Maybe there is a way to see the history of dist-upgrades on my laptop ?

Why did you remove the second report with apport and the attachment to my last post?
Does the report collect only static information on the current install?
I tought the logs would contain also dynamic logs collected at startup.
Tell me which startup logs I can provide.

Best regards,
   Laurent Lyaudet

Laurent Lyaudet, the next step is to fully commit bisect this from pre-Oneiric release to Oneiric in order to identify the offending commit. Could you please do this following https://wiki.ubuntu.com/X/Bisecting ?

tags: added: needs-bisect

Hi,

I will try to bisect when I have time BUT
I don't like the idea of bisecting a bug appearing randomly :
- it will be really time consuming, for each commit I'll have to repeat many startups,
- I may mark a commit as good when it is not (at least if I mark it as bad, it is bad) and I have no way to estimate the probability of error,
- the regression may just be an increase in the frequency of the bug thus there may be multiple regressions...
To me, bisecting is the last option when nobody understand a bug (and probably the code of the bugged functionnality).

I will start to check that I cannot reproduce the bug in Natty.
Then I'll try to follow the link to bisect starting from Natty.
I'll mail you if I need additionnal information for bisecting.

Last but not least remark : I asked questions in my previous comment.
I try to answer questions that people ask me so I expect the same from others ("I don't know." is a valid answer).

Best regards,
   Laurent Lyaudet

Changed in xorg-server (Ubuntu):
status: Incomplete → In Progress

Laurent Lyaudet, please do not mark this as In Progress. For more on Status, please see https://wiki.ubuntu.com/Bugs/Status .

Changed in xorg-server (Ubuntu):
status: In Progress → Incomplete

Sorry about that.
I changed it because the bisect is "In Progress",
but I don't want to send a comment "Bisect in progress" every two months
until the bisect is finished,
in order to prevent the bug to be expired.

Technically, the bug description is complete.
A bisect is a part of the debugging process that is done most of the
time by a developper.
A status "Bisect in progress" would be welcome.

Best regards,
    Laurent Lyaudet

On 17/03/2014 11:18, Christopher M. Penalver wrote:
> Laurent Lyaudet, please do not mark this as In Progress. For more on
> Status, please see https://wiki.ubuntu.com/Bugs/Status .
>
> ** Changed in: xorg-server (Ubuntu)
> Status: In Progress => Incomplete
>

tags: added: performing-bisect
removed: needs-bisect
Launchpad Janitor (janitor) wrote :

[Expired for xorg-server (Ubuntu) because there has been no activity for 60 days.]

Changed in xorg-server (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.